Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPEvent

    java.lang.Object
      com.verisign.epp.framework.EPPEvent

    public class EPPEvent

extends java.lang.Object

The `EPPEvent` class contains an EPPMessage for EPPEventHandlers to respond to.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPEventHandler`

Field Summary
`protected EPPMessage` | `theEPPMessage` The `EPPMessage` that this EPPEvent contains

Constructor Summary
`EPPEvent(EPPMessage aMessage)` Create an `EPPEvent`

Method Summary
`EPPMessage` | `getMessage()` Gets this EPPEvent's `EPPMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theEPPMessage

    protected EPPMessage theEPPMessage

  The `EPPMessage` that this EPPEvent contains

Constructor Detail

### EPPEvent

    public EPPEvent(EPPMessage aMessage)

  Create an `EPPEvent`

  Parameters:
    `aMessage` - An `EPPMessage` to contain

Method Detail

### getMessage

    public EPPMessage getMessage()

  Gets this EPPEvent's `EPPMessage`

  Returns:
    This EPPEvent's `EPPMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.